piix_set_piomode
Prev | Chapter 8. ata_piix Internals | Next

## Name

piix_set_piomode — Initialize host controller PATA PIO timings

## Synopsis

`void piix_set_piomode (` | struct ata_port * | ap,
| struct ata_device * | adev`)`;

## Arguments

`ap`

  Port whose timings we are configuring

`adev`

  um

## Description

Set PIO mode for device, in host controller PCI config space.

## LOCKING

None (inherited from caller).

Prev | Up | Next
piix_pata_prereset | Home | do_pata_set_dmamode